pydo.organizations.list_teams()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.organizations.list_teams()
Returns JSONRaises HttpResponseError

Description

To list all teams in an organization, send a GET request to /v2/organizations/teams.

This endpoint must be called in an organization context.

Response Example

Show Response Example
{
  "teams": [
    {
      "id": 4126873,
      "uuid": "4e1bfbc3-dc3e-41f2-a18f-1b4d7ba71679",
      "name": "production",
      "email": "[email protected]",
      "member_count": 3,
      "status": "joined",
      "joined_organization_at": "2024-06-12T15:04:05Z",
      "company": "DigitalOcean"
    },
    {
      "id": 4126874,
      "uuid": "addb4547-6bab-419a-8542-76263a033cf6",
      "name": "staging",
      "email": "[email protected]",
      "member_count": 2,
      "status": "joined",
      "joined_organization_at": "2024-07-01T10:00:00Z"
    }
  ]
}

More Information

See /v2/organizations/teams in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.